---
title: "Get CRM contact info"
url: "https://docs.signnow.com/docs/contacts/operations/get-v2-crm-contacts-contact_id"
type: "endpoint"
section: "contacts"
slug: "contacts/operations/get-v2-crm-contacts-contact_id"
method: "GET"
path: "/v2/crm/contacts/{contact_id}"
operation_id: "get-v2-crm-contacts-contact_id"
authorization: "bearer"
---

# Get CRM contact info

`GET /v2/crm/contacts/{contact_id}`

Retrieve details of a specific CRM Contact by ID.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `contact_id` | string | Yes | The ID of the CRM contact. |

## Responses

### 200

Successfull response

**Example** (`Successfull response`)

```json
{
  "data": {
    "id": "8fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "meta": {
      "created_at": 1649926419,
      "updated_at": 1649926419,
      "interacted_at": 1649926419
    },
    "email": "crm@example.com",
    "phone": {
      "number": "1234567890",
      "country_code": "US"
    },
    "address": {
      "city": "New York",
      "state": "New York",
      "street": "5 Avenue",
      "country": "US",
      "zip_code": "0",
      "apartment": "Penthouse"
    },
    "company": {
      "name": "Sample Name",
      "job_title": "PHP Developer"
    },
    "last_name": "Doe",
    "first_name": "John",
    "description": "Best client"
  }
}
```

### 400

Request with any of cases:

invalid token of user
expired token of user
empty header
authorization = null
authorization without value

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

### 404

* Request to contact that doesn`t belong to user or was deleted
* Request with wrong contact id in path parameter

**Example** (`Incorrect contact id in path parameter`)

```json
{
  "code": 404,
  "message": "Unable to find a route to match the URI: v2/crm/contacts/6dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

**Example** (`Contact doesn`t belong to user or was deleted`)

```json
{
  "code": 27404001,
  "message": "Contact 8fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX not found"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/crm/contacts/{contact_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/contacts/operations/get-v2-crm-contacts-contact_id*
